<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login</title>
    <!-- Google Font: Source Sans Pro -->

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@fancyapps/ui@5.0/dist/fancybox/fancybox.umd.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fancyapps/ui@5.0/dist/fancybox/fancybox.css" />

    <link rel="stylesheet" href="headerfooter.css">
    <link rel="stylesheet" href="style.css">

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css" />
    <style>
        .like-heart {
            color: #f72b2b;
        }
    </style>

</head>

<body>
    <header style="width: 100%;">
        <div class="pos-f-t">
            <div class="collapse" id="navbarToggleExternalContent">
                <div class="bg-header-content p-4">
                    <div class="row">
                        <div class="col-sm-4">
                            <h1 class="text-white h1 "><a class="text-white" href="./index.html">TRANG CHỦ</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./Contact.html">TRANG LIÊN HỆ</a>
                            </h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="">TRANG TIN TỨC</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./About.html">VỀ CÔNG TY</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./Apartment.html">TRANG
                                    MUA/BÁN NHÀ</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./DetailProperties.html">TRANG
                                    MUA/BÁN CĂN HỘ</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./AddProperties.html">TRANG
                                    MUA/BÁN ĐẤT</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./User.html">TRANG THÔNG TIN
                                    NGƯỜI DÙNG</a>
                            </h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./Login.html">TRANG ĐĂNG NHẬP</a>
                            </h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./Register.html">TRANG ĐĂNG
                                    KÝ</a></h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./AddProperties.html">TRANG ĐĂNG
                                    TIN BẤT ĐỘNG SẢN</a>
                            </h1>
                            <p class="mt-5">TUYỂN DỤNG</p>
                            <P>LIÊN HỆ</P>
                        </div>
                        <div class="col-sm-5 text-center mt-5">
                            <h4 class="text-white h1 mt-3"><a class="text-white" href="./TinTuc.html">TIN TỨC</a></h4>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./PhongThuy.html">PHONG THỦY</a>
                            </h1>
                            <h1 class="text-white h1 mt-3"><a class="text-white" href="./Sao.html">SAO & BIỆT
                                    THỰ</a></h1>
                            <h4>BIỂU TƯỢNG</h4>
                            <h4>KHU DÂN CƯ</h4>
                            <h4>KHÁCH HÀNG</h4>
                            <h4>NHÀ Ở</h4>
                            <h4>CĂN HỘ</h4>
                            <h4>DỰ ÁN</h4>
                            <h4>ĐẤT NỀN</h4>


                        </div>
                        <div class="col-sm-3 text-right mt-5">
                            <p>FACEBOOK</p>
                            <P>YOUTUBE</P>
                            <P>LINKEDIN</P>
                            <P>ZALO</P>
                            <P>INSTAGRAM</P>
                            <P>TIKTOK</P>
                            <P>84.28-356789</P>
                            <P>CONTACT@ALPHADELTA.VN</P>

                        </div>

                    </div>


                </div>

            </div>

            <nav class="navbar navbar-dark bg-header nav-head" style="">

                <button class="navbar-toggler" type="button" data-toggle="collapse"
                    data-target="#navbarToggleExternalContent" aria-controls="navbarToggleExternalContent"
                    aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="row-header row">
                    <!-- <h2 class="text-center" id="logo">ALPHADELTA</h2> -->
                    <img class="logo-main" src="image/logo New1.png" width="" height="100px" alt="">
                </div>
                <div class="d-flex header-trans">
                    <img class="mr-2 find-search" src="./image/icons8-find-48.png" alt="">

                    <a class="a-mobile-trans" href="">VN</a>
                    <hr class="hr-trans">
                    <a class="a-mobile-trans" href="">EN</a>
                </div>

            </nav>

        </div>
    </header>
    <div class="content-detail-real">

        <div class="">
            <div class="row" id="title-real-detail">

            </div>


        </div>
        <hr>
        <div class="row">
            <div class="col-lg-7">
                <div class="d-flex">
                    <p class="camera"><img src="./image/icons8-camera-50.png" width="26px" alt=""> photo</p>
                    <p class="camera"><img src="./image/icons8-video-50.png" width="26px" alt=""> video</p>
                    <p class="camera"><img src="./image/icons8-vr-50.png" width="26px" alt=""> VR 360</p>
                </div>

                <!-- carosel -->


                <div id="carouselExampleControls" class="carousel slide" data-ride="carousel">

                </div>
                <!-- end caroule -->
                <div id="intro-real" class="d-flex justify-content-between my-4 ">

                </div>
                <h4>Mô tả</h4>
                <hr>
                <p>Casa Colina proves to be among the finest estates of the gated La Colina neighborhood just east of
                    Centro San Miguel de Allende in Atascadero, boasting every conceivable amenity possible! Perched on
                    the view side of this north-sloping neighborhood, this magnificent home offers protected
                    long-distance views of the natural canyon preserve and the beginning of the El Charco botanical
                    garden—you awake to the sight of eagles soaring at eye level from your master suite!</p>
                <h4>Thông tin chi tiết bất động sản</h4>
                <div class="row text-size-20">
                    <div class="col-lg-6">
                        <hr>
                        <div class="d-flex justify-content-between">
                            <p>Trạng thái</p>
                            <b class="margin-100">Hoạt động</b>
                        </div>
                        <hr>
                        <div class="d-flex justify-content-between">
                            <p>Số nhà tắm</p>
                            <b class="margin-100">10</b>
                        </div>
                        <hr>
                        <div class="d-flex justify-content-between">
                            <p>Id</p>
                            <b class="margin-100">abc123</b>
                        </div>
                        <hr>
                        <div class="d-flex justify-content-between">
                            <p>Diện tích</p>
                            <b class="margin-100">1000m2</b>
                        </div>
                        <hr>
                        <div class="d-flex justify-content-between">
                            <p>Quốc gia</p>
                            <b class="margin-100">Việt Nam</b>
                        </div>
                        <hr>

                    </div>
                    <div class="col-lg-6">
                        <hr>
                        <div class="d-flex justify-content-between">
                            <p>Số phòng ngủ</p>
                            <b class="margin-100">6</b>
                        </div>
                        <hr>
                        <div class="d-flex justify-content-between">
                            <p>Năm xây dựng</p>
                            <b class="margin-100">2023</b>
                        </div>
                        <hr>
                        <div class="d-flex justify-content-between">
                            <p>Yêu cầu</p>
                            <b class="margin-100">Bán</b>
                        </div>
                        <hr>
                        <div class="d-flex justify-content-between">
                            <p>Số tầng</p>
                            <b class="margin-100">3</b>
                        </div>
                        <hr>



                    </div>
                </div>
                <h4 class="mt-5">Tính năng</h4>
                <hr>
                <div class="row text-size-18">
                    <div class="col-lg-6">
                        <b class="">Tiện nghi</b>

                        <p class="margin-top-20">
                            Courtyard, Exercise Room, Garden, Hot Tub, Pool.
                        </p>
                        <b>Thiết bị gia dụng</b>
                        <p class="margin-top-20">
                            Courtyard, Exercise Room, Garden, Hot Tub, Pool.
                        </p>
                        <b>Tính năng chung</b>
                        <p class="margin-top-20">Cook Top Range, Dishwasher, Gas Appliances, Hot Tub, Kitchen Island,
                            Range/Oven,
                            Refrigerator, Stainless Steel.</p>
                    </div>
                    <div class="col-lg-6">
                        <b>Đặc điểm nội thất</b>
                        <p class="margin-top-20">
                            Courtyard, Exercise Room, Garden, Hot Tub, Pool.
                        </p>
                        <b>Tính năng bên ngoài</b>
                        <p class="margin-top-20">
                            Courtyard, Exercise Room, Garden, Hot Tub, Pool.
                        </p>
                        <b>Nhà xe</b>
                        <p class="margin-top-20">Cook Top Range, Dishwasher, Gas Appliances, Hot Tub, Kitchen Island,
                            Range/Oven,
                            Refrigerator, Stainless Steel.</p>
                    </div>

                </div>
            </div>
            <div class="col-lg-1">

            </div>
            <div class="col-lg-4">
                <div class="d-flex justify-content-end text-fbfbfb mb-3">
                    <p class="want-info"><img src="./image/icons8-heart-50.png" alt="" width="25px" class="mr-2">
                        favorite</p>
                    <p class="want-info"><img src="./image/icons8-print-50.png" alt="" width="25px" class="mr-2">
                        print</p>
                    <p class="want-info"><img src="./image/icons8-share-50.png" alt="" width="25px" class="mr-2">
                        share</p>

                </div>
                <h4>Người đăng bán</h4>
                <div class="">

                    <div class="row">
                        <div id="user-real" class="col-lg-12 text-center info-customer">

                        </div>

                    </div>

                </div>
                <div class="mt-5">
                    <h4>Yêu cầu thêm thông tin</h4>
                    <hr>
                    <label for="">Name</label>
                    <input type="text" class="form-control mb-3" placeholder="Your name">
                    <label for="">Email</label>
                    <input type="text" class="form-control mb-3" placeholder="Your email">
                    <label for="">Phone</label>
                    <input type="text" class="form-control mb-3" placeholder="Your phone">
                    <label for="">Message</label>
                    <textarea id="w3review" name="" rows="8" cols="50"></textarea>
                    <p>Prefer Contact method</p>
                    <div class="d-flex">
                        <input type="checkbox" class="mr-2" name="" id="">
                        Email
                        <input class="ml-5 mr-2" type="checkbox" name="" id="">
                        Text/SMS

                    </div>
                    <button class="btn btn-submit-request">Submit Request</button>


                </div>
            </div>

        </div>

    </div>
    <footer>
        <div class="footer-content">
            <div class="row">
                <div class="col-sm-5" data-aos="zoom-in-down" data-aos-easing="linear" data-aos-duration="2500">
                    <h2 class="">THÔNG TIN
                    </h2>

                    <h1 class="mb-5">LIÊN HỆ</h1>

                    <h4 class="info-footer">TRỤ SỞ</h4>
                    <p>Alphadelta 96 Phan Đăng Lưu, Quận 9, Thành phố Hồ Chí Minh</p>
                    <h4 class="info-footer">VĂN PHÒNG ĐẠI DIỆN Ở HÀ NỘI</h4>
                    <p>LK- C29, Khu biệt thự liền kề Embassy Garden,
                        Hoàng Minh Thảo, Xuân Tảo, Bắc Từ Liêm, Hà Nội</p>
                    <h4 class="info-footer">LIÊN HỆ VỚI CHÚNG TÔI </h4>
                    <p>Hotline: (+84 00 1234 5679)</p>
                    <p>Email: contact@alphadelt.vn</p>
                    <div class="d-flex mt-5">
                        <img src="./image/icons8-facebook-96 (1).png" height="70px" alt="">
                        <img src="./image/icons8-tiktok-96.png" height="70px" alt="">
                        <img src="./image/icons8-instagram-96.png" height="70px" alt="">
                    </div>


                    <div class="mt-5">
                        <p>@ 2021 Alphadelta All rights reserved</p>
                    </div>

                </div>

                <div class="col-sm-2">

                </div>
                <div class="col-sm-5 text-center">
                    <img class="img-building-footer" src="./image/apartment footer_transparent.png" width="100%"
                        height="650px" alt="">
                </div>


            </div>
        </div>
    </footer>
</body>
<script>
    Fancybox.bind("[data-fancybox]", {

    });
</script>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gBASE_URL = "http://localhost:8080/"
    var urlParams = new URLSearchParams(window.location.search);
    var gIdReal = urlParams.get('id');
    var accessToken = localStorage.getItem('token');
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        onLoadRealDetail();
        onLoadUser();
    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onLoadRealDetail() {
        $.ajax({
            url: gBASE_URL + "realestate/" + gIdReal,
            type: "GET",
            headers: { "Authorization": "Bearer " + accessToken },
            success: function (paramRes) {
                handelLoadRealTitle(paramRes);
                handleLoadRealPhoto(paramRes);
                handleLoadIntroReal(paramRes);
            },
            error: function (paramErr) {
                alert(paramErr.status);
            }
        })
    }

    function onLoadUser() {
        $.ajax({
            url: gBASE_URL + "users/userReal/" + gIdReal,
            type: "GET",
            headers: { "Authorization": "Bearer " + accessToken },
            success: function (paramRes) {
                handleLoadUserReal(paramRes);
                onBtnDetailUser(paramRes);
            },
            error: function (paramErr) {
                alert(paramErr.status);
            }
        })
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function handelLoadRealTitle(paramData) {
        $("#title-real-detail").append(`
            <div class="col-lg-8">
                <h1 class="">${paramData.title}</h1>
                <h5>${paramData.address}</h5>
                </div>
            <div class="col-lg-4 text-right">
                <h1>${paramData.price} tỷ</h1>

            </div>
        `)
    }
    function handleLoadRealPhoto(paramData) {

        $("#carouselExampleControls").append(`
            <div class="carousel-inner">
                        <div id="for-caro">
                       
                            
                           

                        </div>
                        
                    </div>
                    <a class="carousel-control-prev" href="#carouselExampleControls" role="button" data-slide="prev">
                        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                        <span class="sr-only">Previous</span>
                    </a>
                    <a class="carousel-control-next" href="#carouselExampleControls" role="button" data-slide="next">
                        <span class="carousel-control-next-icon" aria-hidden="true"></span>
                        <span class="sr-only">Next</span>
                    </a>
        `)
        for (var bI = 0; bI < paramData.photoReals.length; bI++) {
            var carouselItemClass = (bI === 0) ? 'carousel-item active' : 'carousel-item';
            $("#for-caro").append(`
                <div  class="${carouselItemClass}">
       
                    <a href="image/project/${paramData.photoReals[bI].photo}" data-fancybox="gallery"
                           data-caption="Caption #1">
                           <img class="d-block" src="./image/project/${paramData.photoReals[bI].photo}" width="100%"
                               alt="Slide ${bI + 1}" />
                     </a>
                </div>  
   `)
        }

    }
    function handleLoadIntroReal(paramData) {
        $("#intro-real").append(`
            <p class="info-real">For sale</p>
                    <p class="info-real">Active</p>
                    <p class="info-real">${paramData.bedroom} Beds</p>
                    <p class="info-real">${paramData.bath} Baths</p>
                    <p class="info-real">${paramData.price} m2</p>
                    <p class="info-real">scroucret</p>
        `)
    }


    function handleLoadUserReal(paramData) {
        $("#user-real").append(`
            <img src="image/${paramData.customers.avata}" class="rounded-circle mb-3" alt="Cinque Terre" width="200"
                                height="200">
                <h3 class=""><b>${paramData.customers.contactName}</b></h3>
                <p class="text-fbfbfb">${paramData.customers.address}</p>
                <p class="text-fbfbfb">Số điện thoại: ${paramData.customers.mobile}</p>
                <i id="like-heart" class="fa-regular fa-heart fa-2xl mb-4"></i>
                <button id="btn-follow" class="btn btn-light mb-2 ml-2">Follow</button>
                <br>

                <button  class="btn btn-send  text-fbfbfb ">Gửi yêu cầu</button>
                <br>
                <button id="btn-user-detail" class="btn btn-send  text-fbfbfb">Xem chi tiết</button>
        `)
    }

    function onBtnDetailUser(paramData) {
        $("#btn-user-detail").on("click", function () {
            window.location.href = "http://localhost:5501/UserReal.html?id=" + paramData.id;
        })
    }



</script>

<script>
    $(document).on("click", "#btn-follow", function () {

        $("#btn-follow").removeClass("btn-light");
        $("#btn-follow").addClass("btn-success");

    })
    $(document).on("click", "#like-heart", function () {

        $("#like-heart").removeClass();
        $("#like-heart").addClass("fa-solid fa-heart fa-2xl like-heart");

    })
</script>


</html>